Main Page | Modules | Data Structures | File List | Data Fields | Globals | Related Pages

# Win32-Extensions.h File Reference

Go to the source code of this file.

## Data Structures
struct | pcap_send_queue
| A queue of raw packets that will be sent to the network with pcap_sendqueue_transmit(). More...
## Defines
#define | BPF_MEM_EX_IMM 0xc0
#define | BPF_MEM_EX_IND 0xe0
#define | BPF_MEM_EX 0xc0
#define | BPF_TME 0x08
#define | BPF_LOOKUP 0x90
#define | BPF_EXECUTE 0xa0
#define | BPF_INIT 0xb0
#define | BPF_VALIDATE 0xc0
#define | BPF_SET_ACTIVE 0xd0
#define | BPF_RESET 0xe0
#define | BPF_SET_MEMORY 0x80
#define | BPF_GET_REGISTER_VALUE 0x70
#define | BPF_SET_REGISTER_VALUE 0x60
#define | BPF_SET_WORKING 0x50
#define | BPF_SET_ACTIVE_READ 0x40
#define | BPF_SET_AUTODELETION 0x30
#define | BPF_SEPARATION 0xff
## Typedefs
typedef pcap_send_queue | pcap_send_queue
## Functions
pcap_send_queue * | pcap_sendqueue_alloc (u_int memsize)
void | pcap_sendqueue_destroy (pcap_send_queue *queue)
int | pcap_sendqueue_queue (pcap_send_queue *queue, const struct pcap_pkthdr *pkt_header, const u_char *pkt_data)
u_int | pcap_sendqueue_transmit (pcap_t *p, pcap_send_queue *queue, int sync)
HANDLE | pcap_getevent (pcap_t *p)
pcap_stat * | pcap_stats_ex (pcap_t *p, int *pcap_stat_size)
int | pcap_setuserbuffer (pcap_t *p, int size)
int | pcap_live_dump (pcap_t *p, char *filename, int maxsize, int maxpacks)
int | pcap_live_dump_ended (pcap_t *p, int sync)
int | pcap_offline_filter (struct bpf_program *prog, const struct pcap_pkthdr *header, const u_char *pkt_data)

## Define Documentation

#define BPF_EXECUTE 0xa0

| Definition at line 54 of file Win32-Extensions.h.

#define BPF_GET_REGISTER_VALUE 0x70

| Definition at line 60 of file Win32-Extensions.h.

#define BPF_INIT 0xb0

| Definition at line 55 of file Win32-Extensions.h.

#define BPF_LOOKUP 0x90

| Definition at line 53 of file Win32-Extensions.h.

#define BPF_MEM_EX 0xc0

| Definition at line 50 of file Win32-Extensions.h.

#define BPF_MEM_EX_IMM 0xc0

| Definition at line 46 of file Win32-Extensions.h.

#define BPF_MEM_EX_IND 0xe0

| Definition at line 47 of file Win32-Extensions.h.

#define BPF_RESET 0xe0

| Definition at line 58 of file Win32-Extensions.h.

#define BPF_SEPARATION 0xff

| Definition at line 65 of file Win32-Extensions.h.

#define BPF_SET_ACTIVE 0xd0

| Definition at line 57 of file Win32-Extensions.h.

#define BPF_SET_ACTIVE_READ 0x40

| Definition at line 63 of file Win32-Extensions.h.

#define BPF_SET_AUTODELETION 0x30

| Definition at line 64 of file Win32-Extensions.h.

#define BPF_SET_MEMORY 0x80

| Definition at line 59 of file Win32-Extensions.h.

#define BPF_SET_REGISTER_VALUE 0x60

| Definition at line 61 of file Win32-Extensions.h.

#define BPF_SET_WORKING 0x50

| Definition at line 62 of file Win32-Extensions.h.

#define BPF_TME 0x08

| Definition at line 51 of file Win32-Extensions.h.

#define BPF_VALIDATE 0xc0

| Definition at line 56 of file Win32-Extensions.h.

## Typedef Documentation

typedef struct pcap_send_queue pcap_send_queue

| Definition at line 44 of file Win32-Extensions.h.

## Function Documentation

HANDLE pcap_getevent | ( | pcap_t * | p | ) |

int pcap_live_dump | ( | pcap_t * | p,
|  | char * | filename,
|  | int | maxsize,
|  | int | maxpacks
| ) |

int pcap_live_dump_ended | ( | pcap_t * | p,
|  | int | sync
| ) |

int pcap_offline_filter | ( | struct bpf_program * | prog,
|  | const struct pcap_pkthdr * | header,
|  | const u_char * | pkt_data
| ) |

pcap_send_queue* pcap_sendqueue_alloc | ( | u_int | memsize | ) |

void pcap_sendqueue_destroy | ( | pcap_send_queue * | queue | ) |

int pcap_sendqueue_queue | ( | pcap_send_queue * | queue,
|  | const struct pcap_pkthdr * | pkt_header,
|  | const u_char * | pkt_data
| ) |

u_int pcap_sendqueue_transmit | ( | pcap_t * | p,
|  | pcap_send_queue * | queue,
|  | int | sync
| ) |

int pcap_setuserbuffer | ( | pcap_t * | p,
|  | int | size
| ) |

struct pcap_stat* pcap_stats_ex | ( | pcap_t * | p,
|  | int * | pcap_stat_size
| ) |

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005 CACE technologies. All rights reserved.